Generation Framework

## org.eclipse.gmf.mappings
Interface AuditContainer

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  AuditContainerImpl

    public interface AuditContainer

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Audit Container'. Container for audit rules representing a hierarchical organization of audits in the constraint category hierarchy of emft.validation framework

The following features are supported:

- `Id`
- `Name`
- `Description`
- `Parent Container`
- `Audits`
- `Child Containers`

See Also:
  `GMFMapPackage.getAuditContainer()`
** Generated **
Model:

Method Summary
`org.eclipse.emf.common.util.EList<AuditRule>` `getAudits()` Returns the value of the 'Audits' containment reference list.
`org.eclipse.emf.common.util.EList<AuditContainer>` `getChildContainers()` Returns the value of the 'Child Containers' containment reference list.
`java.lang.String` `getDescription()` Returns the value of the 'Description' attribute
`java.lang.String` `getId()` Returns the value of the 'Id' attribute
`java.lang.String` `getName()` Returns the value of the 'Name' attribute
`AuditContainer` `getParentContainer()` Returns the value of the 'Parent Container' container reference.
`void` `setDescription(java.lang.String value)` Sets the value of the '`Description`' attribute
`void` `setId(java.lang.String value)` Sets the value of the '`Id`' attribute
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute
`void` `setParentContainer(AuditContainer value)` Sets the value of the '`Parent Container`' container reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getId

    java.lang.String getId()

  Returns the value of the 'Id' attribute. Identifier which is unique within the scope of its parent container.

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `GMFMapPackage.getAuditContainer_Id()`
  ** Generated **
  Model:
    required="true" annotation="http://www.eclipse.org/gmf/2005/constraints ocl='not parentContainer.oclIsUndefined() implies parentContainer.childContainers->one(i | i.id = self.id)' description='Audit container with the same ID already exists'"

### setId

    void setId(java.lang.String value)

  Sets the value of the '`Id`' attribute.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`
  ** Generated **

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute. A human readable name for the category of audits organized in this container

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `GMFMapPackage.getAuditContainer_Name()`
  ** Generated **
  Model:

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`
  ** Generated **

### getDescription

    java.lang.String getDescription()

  Returns the value of the 'Description' attribute. The detailed description of this audit container

  Returns:
    the value of the 'Description' attribute.
  See Also:
    `setDescription(String)`, `GMFMapPackage.getAuditContainer_Description()`
  ** Generated **
  Model:

### setDescription

    void setDescription(java.lang.String value)

  Sets the value of the '`Description`' attribute.

  Parameters:
    `value` - the new value of the 'Description' attribute.
  See Also:
    `getDescription()`
  ** Generated **

### getParentContainer

    AuditContainer getParentContainer()

  Returns the value of the 'Parent Container' container reference. It is bidirectional and its opposite is '`Child Containers`'.

  If the meaning of the 'Parent Container' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parent Container' container reference.
  See Also:
    `setParentContainer(AuditContainer)`, `GMFMapPackage.getAuditContainer_ParentContainer()`, `getChildContainers()`
  ** Generated **
  Model:
    opposite="childContainers"

### setParentContainer

    void setParentContainer(AuditContainer value)

  Sets the value of the '`Parent Container`' container reference.

  Parameters:
    `value` - the new value of the 'Parent Container' container reference.
  See Also:
    `getParentContainer()`
  ** Generated **

### getAudits

    org.eclipse.emf.common.util.EList<AuditRule> getAudits()

  Returns the value of the 'Audits' containment reference list. The list contents are of type `AuditRule`. It is bidirectional and its opposite is '`Container`'. The audit rules organized in this container

  Returns:
    the value of the 'Audits' containment reference list.
  See Also:
    `GMFMapPackage.getAuditContainer_Audits()`, `AuditRule.getContainer()`
  ** Generated **
  Model:
    type="org.eclipse.gmf.mappings.AuditRule" opposite="container" containment="true"

### getChildContainers

    org.eclipse.emf.common.util.EList<AuditContainer> getChildContainers()

  Returns the value of the 'Child Containers' containment reference list. The list contents are of type `AuditContainer`. It is bidirectional and its opposite is '`Parent Container`'.

  If the meaning of the 'Child Containers' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Child Containers' containment reference list.
  See Also:
    `GMFMapPackage.getAuditContainer_ChildContainers()`, `getParentContainer()`
  ** Generated **
  Model:
    type="org.eclipse.gmf.mappings.AuditContainer" opposite="parentContainer" containment="true"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.